Subject: Re: [PATCH] powerpc: Create "rom" (MTD) device prpmc2800

From: Segher Boessenkool <[email-masked]>
Date: Sun, 3 Jun 2007 20:46:57 +0200

>>> Nobody's talking about the direct match but making the task of 
>>> selecting a proper driver more complex by specifying the details 
>>> that don't help (if not hinder) the correct selection is certainly 
>>> not a way to go.
>
>> Nonsense.  If the kernel doesn't care about certain details,
>> it can just ignore them.
>
>    That's OK, as long as it has the details it needs. Your suggestions 
> on the "compatible" devoided it of such.

Sigh.

[snip]

>>>    That's the way the cookie crumbles in Linux MTD for now. It's 
>>> *always* detecting this by probing -- you only can say what [not] to 
>>> probe.
>
>> So go fix that :-)
>
>    Wanna pay me for that? ;-)

You're the one complaining, you go pay yourself.

[snip, plunk]

Segher